SpeechD 0.1/0.2 - Privileged Command Execution Vulnerability



source: http://www.securityfocus.com/bid/3326/info


SpeechD is a device-independent layer for speech synthesis under Linux, providing an interface for speech-based applications or device drivers.

SpeechD has been found to contain a flaw under certain implementations which can permit a local user to pass malcious commands to the /dev/speech device, and have them executed with the privilege level of the speechd user, which is usually root. 

echo "';[hostile shell command]" >/dev/speech